AvailabilityReportChart (Hyperic HQ Plugin API)
Keywords: org.hyperic.image.chart.AvailabilityReportChart class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.image.chart
Class AvailabilityReportChart

    java.lang.Object
      org.hyperic.image.WebImage
          org.hyperic.image.chart.Chart
              org.hyperic.image.chart.AvailabilityReportChart

    public class AvailabilityReportChart

extends Chart

Field Summary

Fields inherited from class org.hyperic.image.chart.Chart
`ARG_MUST_BE_ZERO_OR_GREATER, averageLineColor, AVG, baseline, BASELINE, baselineColor, ceiling, chartColor, DEFAULT_LABEL_FONT, DEFAULT_LEGEND_FONT, DEFAULT_LEGEND_PLAIN, DEFAULT_UNIT_LEGEND, DEFAULT_VALUE_LEGEND, EMPTY_STRING, floor, highRange, highRangeColor, legendFont, legendTextColor, lineWidth, LOW, lowLineColor, lowRange, lowRangeColor, m_adRangeMarks, m_bNoData, m_dAvgValue, m_dLowValue, m_dPeakValue, m_floor, m_fmtScale, m_fmtType, m_metricsLabel, m_metricsLegend, PEAK, peakLineColor, rightLabelWidth, showAverage, showBaseline, showBottomLabels, showBottomLegend, showEvents, showFullLabels, showHighRange, showLeftLabels, showLeftLegend, showLow, showLowRange, showPeak, showRightLabels, showRightLegend, showTopLabels, showTopLegend, showUnitLines, showValueLines, showValues, textWhitespace, tickMarkHeight, valueIndent, valueLines, VARIABLE_HEIGHT, VARIABLE_WIDTH, x2VertLabels, x2VertMarks, xLabelsSkip, xLineColor, xOffset, xRLabel, xVertLegend, xVertMarks, yBottomLegend, yHorzLabels, yOffset, yTopLegend`

Fields inherited from class org.hyperic.image.WebImage
`antiAliased, ARG_CANNOT_BE_NULL, backgroundColor, bottomBorder, DEFAULT_BACKGROUND_COLOR, DEFAULT_BOLD_TYPEFACE, DEFAULT_BORDER_COLOR, DEFAULT_BORDER_SIZE, DEFAULT_FONT, DEFAULT_FONT_METRICS, DEFAULT_HEIGHT, DEFAULT_PLAIN_TYPEFACE, DEFAULT_SHADOW_WIDTH, DEFAULT_WIDTH, font, frameImage, height, indexColors, leftBorder, m_graphics, rightBorder, shadowWidth, SMALL_FONT, textColor, topBorder, width`

Constructor Summary
`AvailabilityReportChart()`

Method Summary
`protected java.awt.Rectangle` | `draw(ChartGraphics g)`
`protected java.awt.Rectangle` | `getInteriorRectangle(ChartGraphics g)`
`protected java.lang.String[]` | `getXLabels()`
`protected int` | `getYLabelWidth(java.awt.Graphics2D g)` Calculates the label width of the vertical axis of the chart.
`protected void` | `init()`

Methods inherited from class org.hyperic.image.chart.Chart
`adjustRectangle, calc, calcRanges, calcVariableHeight, calcVariableWidth, checkHighLow, draw, getAverageValue, getDataCollectionClass, getDataPoint, getDataPoints, getDataPoints, getDataSetCount, getDataSetIterator, getDisplayPoint, getEventPoints, getEventPoints, getEventSetIterator, getExteriorHeight, getExteriorRectangle, getLowValue, getNoDataString, getPeakValue, getTitle, getUnitLabel, getUnitLegend, getValueLegend, getXLabelHeight, getXLabelWidth, getXLegendHeight, hasData, initData, initFonts, postInit, preInit, scale, setAbsTimeLabels, setFormat, setNoDataString, setNumberDataSets, setTitle, setUnitLegend, setValueLegend`

Methods inherited from class org.hyperic.image.WebImage
`getFontMetrics, getImage, getTextCenter, getTextCenter, getTextCenter, isRunnable, setBorder, writeJpegImage, writeJpegImage, writePngImage, writePngImage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AvailabilityReportChart

    public AvailabilityReportChart()

Method Detail

### init

    protected void init()

### draw

    protected java.awt.Rectangle draw(ChartGraphics g)

  Overrides:
    `draw` in class `Chart`

### getYLabelWidth

    protected int getYLabelWidth(java.awt.Graphics2D g)

  Description copied from class: `Chart`
  Calculates the label width of the vertical axis of the chart.

  Specified by:
    `getYLabelWidth` in class `Chart`
  Returns:
    The width of the widest label on the Y (vertical) axis.

### getInteriorRectangle

    protected java.awt.Rectangle getInteriorRectangle(ChartGraphics g)

  Specified by:
    `getInteriorRectangle` in class `Chart`

### getXLabels

    protected java.lang.String[] getXLabels()

  Specified by:
    `getXLabels` in class `Chart`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.